Clean and tiddy-up files.
[tomato.git] / release / src / router / bridge / config.status
blobe3f5ce0c56795dbc210a98df2fba3b9ce8cea8c9
1 #! /bin/sh
2 # Generated by configure.
3 # Run this file to recreate the current configuration.
4 # Compiler output produced by configure, useful for debugging
5 # configure, is in config.log if it exists.
7 debug=false
8 ac_cs_recheck=false
9 ac_cs_silent=false
10 SHELL=${CONFIG_SHELL-/bin/sh}
11 ## --------------------- ##
12 ## M4sh Initialization. ##
13 ## --------------------- ##
15 # Be Bourne compatible
16 if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
17 emulate sh
18 NULLCMD=:
19 # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
20 # is contrary to our usage. Disable this feature.
21 alias -g '${1+"$@"}'='"$@"'
22 elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
23 set -o posix
25 DUALCASE=1; export DUALCASE # for MKS sh
27 # Support unset when possible.
28 if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
29 as_unset=unset
30 else
31 as_unset=false
35 # Work around bugs in pre-3.0 UWIN ksh.
36 $as_unset ENV MAIL MAILPATH
37 PS1='$ '
38 PS2='> '
39 PS4='+ '
41 # NLS nuisances.
42 for as_var in \
43 LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
44 LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
45 LC_TELEPHONE LC_TIME
47 if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
48 eval $as_var=C; export $as_var
49 else
50 $as_unset $as_var
52 done
54 # Required to use basename.
55 if expr a : '\(a\)' >/dev/null 2>&1; then
56 as_expr=expr
57 else
58 as_expr=false
61 if (basename /) >/dev/null 2>&1 && test "X`basename / 2>&1`" = "X/"; then
62 as_basename=basename
63 else
64 as_basename=false
68 # Name of the executable.
69 as_me=`$as_basename "$0" ||
70 $as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
71 X"$0" : 'X\(//\)$' \| \
72 X"$0" : 'X\(/\)$' \| \
73 . : '\(.\)' 2>/dev/null ||
74 echo X/"$0" |
75 sed '/^.*\/\([^/][^/]*\)\/*$/{ s//\1/; q; }
76 /^X\/\(\/\/\)$/{ s//\1/; q; }
77 /^X\/\(\/\).*/{ s//\1/; q; }
78 s/.*/./; q'`
81 # PATH needs CR, and LINENO needs CR and PATH.
82 # Avoid depending upon Character Ranges.
83 as_cr_letters='abcdefghijklmnopqrstuvwxyz'
84 as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
85 as_cr_Letters=$as_cr_letters$as_cr_LETTERS
86 as_cr_digits='0123456789'
87 as_cr_alnum=$as_cr_Letters$as_cr_digits
89 # The user is always right.
90 if test "${PATH_SEPARATOR+set}" != set; then
91 echo "#! /bin/sh" >conf$$.sh
92 echo "exit 0" >>conf$$.sh
93 chmod +x conf$$.sh
94 if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
95 PATH_SEPARATOR=';'
96 else
97 PATH_SEPARATOR=:
99 rm -f conf$$.sh
103 as_lineno_1=$LINENO
104 as_lineno_2=$LINENO
105 as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
106 test "x$as_lineno_1" != "x$as_lineno_2" &&
107 test "x$as_lineno_3" = "x$as_lineno_2" || {
108 # Find who we are. Look in the path if we contain no path at all
109 # relative or not.
110 case $0 in
111 *[\\/]* ) as_myself=$0 ;;
112 *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
113 for as_dir in $PATH
115 IFS=$as_save_IFS
116 test -z "$as_dir" && as_dir=.
117 test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
118 done
121 esac
122 # We did not find ourselves, most probably we were run as `sh COMMAND'
123 # in which case we are not to be found in the path.
124 if test "x$as_myself" = x; then
125 as_myself=$0
127 if test ! -f "$as_myself"; then
128 { { echo "$as_me:$LINENO: error: cannot find myself; rerun with an absolute path" >&5
129 echo "$as_me: error: cannot find myself; rerun with an absolute path" >&2;}
130 { (exit 1); exit 1; }; }
132 case $CONFIG_SHELL in
134 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
135 for as_dir in /bin$PATH_SEPARATOR/usr/bin$PATH_SEPARATOR$PATH
137 IFS=$as_save_IFS
138 test -z "$as_dir" && as_dir=.
139 for as_base in sh bash ksh sh5; do
140 case $as_dir in
142 if ("$as_dir/$as_base" -c '
143 as_lineno_1=$LINENO
144 as_lineno_2=$LINENO
145 as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
146 test "x$as_lineno_1" != "x$as_lineno_2" &&
147 test "x$as_lineno_3" = "x$as_lineno_2" ') 2>/dev/null; then
148 $as_unset BASH_ENV || test "${BASH_ENV+set}" != set || { BASH_ENV=; export BASH_ENV; }
149 $as_unset ENV || test "${ENV+set}" != set || { ENV=; export ENV; }
150 CONFIG_SHELL=$as_dir/$as_base
151 export CONFIG_SHELL
152 exec "$CONFIG_SHELL" "$0" ${1+"$@"}
153 fi;;
154 esac
155 done
156 done
158 esac
160 # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
161 # uniformly replaced by the line number. The first 'sed' inserts a
162 # line-number line before each line; the second 'sed' does the real
163 # work. The second script uses 'N' to pair each line-number line
164 # with the numbered line, and appends trailing '-' during
165 # substitution so that $LINENO is not a special case at line end.
166 # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
167 # second 'sed' script. Blame Lee E. McMahon for sed's syntax. :-)
168 sed '=' <$as_myself |
169 sed '
171 s,$,-,
172 : loop
173 s,^\(['$as_cr_digits']*\)\(.*\)[$]LINENO\([^'$as_cr_alnum'_]\),\1\2\1\3,
174 t loop
175 s,-$,,
176 s,^['$as_cr_digits']*\n,,
177 ' >$as_me.lineno &&
178 chmod +x $as_me.lineno ||
179 { { echo "$as_me:$LINENO: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&5
180 echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2;}
181 { (exit 1); exit 1; }; }
183 # Don't try to exec as it changes $[0], causing all sort of problems
184 # (the dirname of $[0] is not the place where we might find the
185 # original and so on. Autoconf is especially sensible to this).
186 . ./$as_me.lineno
187 # Exit status is that of the last command.
188 exit
192 case `echo "testing\c"; echo 1,2,3`,`echo -n testing; echo 1,2,3` in
193 *c*,-n*) ECHO_N= ECHO_C='
194 ' ECHO_T=' ' ;;
195 *c*,* ) ECHO_N=-n ECHO_C= ECHO_T= ;;
196 *) ECHO_N= ECHO_C='\c' ECHO_T= ;;
197 esac
199 if expr a : '\(a\)' >/dev/null 2>&1; then
200 as_expr=expr
201 else
202 as_expr=false
205 rm -f conf$$ conf$$.exe conf$$.file
206 echo >conf$$.file
207 if ln -s conf$$.file conf$$ 2>/dev/null; then
208 # We could just check for DJGPP; but this test a) works b) is more generic
209 # and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04).
210 if test -f conf$$.exe; then
211 # Don't use ln at all; we don't have any links
212 as_ln_s='cp -p'
213 else
214 as_ln_s='ln -s'
216 elif ln conf$$.file conf$$ 2>/dev/null; then
217 as_ln_s=ln
218 else
219 as_ln_s='cp -p'
221 rm -f conf$$ conf$$.exe conf$$.file
223 if mkdir -p . 2>/dev/null; then
224 as_mkdir_p=:
225 else
226 test -d ./-p && rmdir ./-p
227 as_mkdir_p=false
230 as_executable_p="test -f"
232 # Sed expression to map a string onto a valid CPP name.
233 as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
235 # Sed expression to map a string onto a valid variable name.
236 as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
239 # IFS
240 # We need space, tab and new line, in precisely that order.
241 as_nl='
243 IFS=" $as_nl"
245 # CDPATH.
246 $as_unset CDPATH
248 exec 6>&1
250 # Open the log real soon, to keep \$[0] and so on meaningful, and to
251 # report actual input values of CONFIG_FILES etc. instead of their
252 # values after options handling. Logging --version etc. is OK.
253 exec 5>>config.log
255 echo
256 sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
257 ## Running $as_me. ##
258 _ASBOX
259 } >&5
260 cat >&5 <<_CSEOF
262 This file was extended by $as_me, which was
263 generated by GNU Autoconf 2.59. Invocation command line was
265 CONFIG_FILES = $CONFIG_FILES
266 CONFIG_HEADERS = $CONFIG_HEADERS
267 CONFIG_LINKS = $CONFIG_LINKS
268 CONFIG_COMMANDS = $CONFIG_COMMANDS
269 $ $0 $@
271 _CSEOF
272 echo "on `(hostname || uname -n) 2>/dev/null | sed 1q`" >&5
273 echo >&5
274 config_files=" doc/Makefile libbridge/Makefile brctl/Makefile Makefile bridge-utils.spec"
275 config_headers=" libbridge/config.h"
276 config_commands=" depfiles"
278 ac_cs_usage="\
279 \`$as_me' instantiates files from templates according to the
280 current configuration.
282 Usage: $0 [OPTIONS] [FILE]...
284 -h, --help print this help, then exit
285 -V, --version print version number, then exit
286 -q, --quiet do not print progress messages
287 -d, --debug don't remove temporary files
288 --recheck update $as_me by reconfiguring in the same conditions
289 --file=FILE[:TEMPLATE]
290 instantiate the configuration file FILE
291 --header=FILE[:TEMPLATE]
292 instantiate the configuration header FILE
294 Configuration files:
295 $config_files
297 Configuration headers:
298 $config_headers
300 Configuration commands:
301 $config_commands
303 Report bugs to <bug-autoconf@gnu.org>."
304 ac_cs_version="\
305 config.status
306 configured by ./configure, generated by GNU Autoconf 2.59,
307 with options \"'--host=mipsel-linux' '--build=x86_64-linux-gnu' '--prefix=' '--with-linux-headers=/home/vicente/tomato/release/src-rt/linux/linux-2.6/include' 'CC=mipsel-uclibc-gcc' 'CFLAGS=-Os -g -DLINUX26 -DCONFIG_BCMWL5 -pipe -DBCMWPA2 -funit-at-a-time -Wno-pointer-sign -mtune=mips32 -mips32 ' 'build_alias=x86_64-linux-gnu' 'host_alias=mipsel-linux'\"
309 Copyright (C) 2003 Free Software Foundation, Inc.
310 This config.status script is free software; the Free Software Foundation
311 gives unlimited permission to copy, distribute and modify it."
312 srcdir=.
313 INSTALL="/usr/bin/install -c"
314 # If no file are specified by the user, then we need to provide default
315 # value. By we need to know if files were specified by the user.
316 ac_need_defaults=:
317 while test $# != 0
319 case $1 in
320 --*=*)
321 ac_option=`expr "x$1" : 'x\([^=]*\)='`
322 ac_optarg=`expr "x$1" : 'x[^=]*=\(.*\)'`
323 ac_shift=:
326 ac_option=$1
327 ac_optarg=$2
328 ac_shift=shift
330 *) # This is not an option, so the user has probably given explicit
331 # arguments.
332 ac_option=$1
333 ac_need_defaults=false;;
334 esac
336 case $ac_option in
337 # Handling of the options.
338 -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
339 ac_cs_recheck=: ;;
340 --version | --vers* | -V )
341 echo "$ac_cs_version"; exit 0 ;;
342 --he | --h)
343 # Conflict between --help and --header
344 { { echo "$as_me:$LINENO: error: ambiguous option: $1
345 Try \`$0 --help' for more information." >&5
346 echo "$as_me: error: ambiguous option: $1
347 Try \`$0 --help' for more information." >&2;}
348 { (exit 1); exit 1; }; };;
349 --help | --hel | -h )
350 echo "$ac_cs_usage"; exit 0 ;;
351 --debug | --d* | -d )
352 debug=: ;;
353 --file | --fil | --fi | --f )
354 $ac_shift
355 CONFIG_FILES="$CONFIG_FILES $ac_optarg"
356 ac_need_defaults=false;;
357 --header | --heade | --head | --hea )
358 $ac_shift
359 CONFIG_HEADERS="$CONFIG_HEADERS $ac_optarg"
360 ac_need_defaults=false;;
361 -q | -quiet | --quiet | --quie | --qui | --qu | --q \
362 | -silent | --silent | --silen | --sile | --sil | --si | --s)
363 ac_cs_silent=: ;;
365 # This is an error.
366 -*) { { echo "$as_me:$LINENO: error: unrecognized option: $1
367 Try \`$0 --help' for more information." >&5
368 echo "$as_me: error: unrecognized option: $1
369 Try \`$0 --help' for more information." >&2;}
370 { (exit 1); exit 1; }; } ;;
372 *) ac_config_targets="$ac_config_targets $1" ;;
374 esac
375 shift
376 done
378 ac_configure_extra_args=
380 if $ac_cs_silent; then
381 exec 6>/dev/null
382 ac_configure_extra_args="$ac_configure_extra_args --silent"
385 if $ac_cs_recheck; then
386 echo "running /bin/sh ./configure " '--host=mipsel-linux' '--build=x86_64-linux-gnu' '--prefix=' '--with-linux-headers=/home/vicente/tomato/release/src-rt/linux/linux-2.6/include' 'CC=mipsel-uclibc-gcc' 'CFLAGS=-Os -g -DLINUX26 -DCONFIG_BCMWL5 -pipe -DBCMWPA2 -funit-at-a-time -Wno-pointer-sign -mtune=mips32 -mips32 ' 'build_alias=x86_64-linux-gnu' 'host_alias=mipsel-linux' $ac_configure_extra_args " --no-create --no-recursion" >&6
387 exec /bin/sh ./configure '--host=mipsel-linux' '--build=x86_64-linux-gnu' '--prefix=' '--with-linux-headers=/home/vicente/tomato/release/src-rt/linux/linux-2.6/include' 'CC=mipsel-uclibc-gcc' 'CFLAGS=-Os -g -DLINUX26 -DCONFIG_BCMWL5 -pipe -DBCMWPA2 -funit-at-a-time -Wno-pointer-sign -mtune=mips32 -mips32 ' 'build_alias=x86_64-linux-gnu' 'host_alias=mipsel-linux' $ac_configure_extra_args --no-create --no-recursion
391 # INIT-COMMANDS section.
394 AMDEP_TRUE="" ac_aux_dir="."
396 for ac_config_target in $ac_config_targets
398 case "$ac_config_target" in
399 # Handling of arguments.
400 "doc/Makefile" ) CONFIG_FILES="$CONFIG_FILES doc/Makefile" ;;
401 "libbridge/Makefile" ) CONFIG_FILES="$CONFIG_FILES libbridge/Makefile" ;;
402 "brctl/Makefile" ) CONFIG_FILES="$CONFIG_FILES brctl/Makefile" ;;
403 "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
404 "bridge-utils.spec" ) CONFIG_FILES="$CONFIG_FILES bridge-utils.spec" ;;
405 "depfiles" ) CONFIG_COMMANDS="$CONFIG_COMMANDS depfiles" ;;
406 "libbridge/config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS libbridge/config.h" ;;
407 *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
408 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
409 { (exit 1); exit 1; }; };;
410 esac
411 done
413 # If the user did not use the arguments to specify the items to instantiate,
414 # then the envvar interface is used. Set only those that are not.
415 # We use the long form for the default assignment because of an extremely
416 # bizarre bug on SunOS 4.1.3.
417 if $ac_need_defaults; then
418 test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
419 test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers
420 test "${CONFIG_COMMANDS+set}" = set || CONFIG_COMMANDS=$config_commands
423 # Have a temporary directory for convenience. Make it in the build tree
424 # simply because there is no reason to put it here, and in addition,
425 # creating and moving files from /tmp can sometimes cause problems.
426 # Create a temporary directory, and hook for its removal unless debugging.
427 $debug ||
429 trap 'exit_status=$?; rm -rf $tmp && exit $exit_status' 0
430 trap '{ (exit 1); exit 1; }' 1 2 13 15
433 # Create a (secure) tmp directory for tmp files.
436 tmp=`(umask 077 && mktemp -d -q "./confstatXXXXXX") 2>/dev/null` &&
437 test -n "$tmp" && test -d "$tmp"
438 } ||
440 tmp=./confstat$$-$RANDOM
441 (umask 077 && mkdir $tmp)
442 } ||
444 echo "$me: cannot create a temporary directory in ." >&2
445 { (exit 1); exit 1; }
450 # CONFIG_FILES section.
453 # No need to generate the scripts if there are no CONFIG_FILES.
454 # This happens for instance when ./config.status config.h
455 if test -n "$CONFIG_FILES"; then
456 # Protect against being on the right side of a sed subst in config.status.
457 sed 's/,@/@@/; s/@,/@@/; s/,;t t$/@;t t/; /@;t t$/s/[\\&,]/\\&/g;
458 s/@@/,@/; s/@@/@,/; s/@;t t$/,;t t/' >$tmp/subs.sed <<\CEOF
459 s,@SHELL@,/bin/sh,;t t
460 s,@PATH_SEPARATOR@,:,;t t
461 s,@PACKAGE_NAME@,,;t t
462 s,@PACKAGE_TARNAME@,,;t t
463 s,@PACKAGE_VERSION@,,;t t
464 s,@PACKAGE_STRING@,,;t t
465 s,@PACKAGE_BUGREPORT@,,;t t
466 s,@exec_prefix@,${prefix},;t t
467 s,@prefix@,,;t t
468 s,@program_transform_name@,s,x,x,,;t t
469 s,@bindir@,${exec_prefix}/bin,;t t
470 s,@sbindir@,${exec_prefix}/sbin,;t t
471 s,@libexecdir@,${exec_prefix}/libexec,;t t
472 s,@datadir@,${prefix}/share,;t t
473 s,@sysconfdir@,${prefix}/etc,;t t
474 s,@sharedstatedir@,${prefix}/com,;t t
475 s,@localstatedir@,${prefix}/var,;t t
476 s,@libdir@,${exec_prefix}/lib,;t t
477 s,@includedir@,${prefix}/include,;t t
478 s,@oldincludedir@,/usr/include,;t t
479 s,@infodir@,${prefix}/info,;t t
480 s,@mandir@,${prefix}/man,;t t
481 s,@build_alias@,x86_64-linux-gnu,;t t
482 s,@host_alias@,mipsel-linux,;t t
483 s,@target_alias@,,;t t
484 s,@DEFS@,-DHAVE_CONFIG_H,;t t
485 s,@ECHO_C@,,;t t
486 s,@ECHO_N@,-n,;t t
487 s,@ECHO_T@,,;t t
488 s,@LIBS@,,;t t
489 s,@INSTALL_PROGRAM@,${INSTALL},;t t
490 s,@INSTALL_SCRIPT@,${INSTALL},;t t
491 s,@INSTALL_DATA@,${INSTALL} -m 644,;t t
492 s,@CYGPATH_W@,echo,;t t
493 s,@PACKAGE@,bridge-utils,;t t
494 s,@VERSION@,1.0.6,;t t
495 s,@ACLOCAL@,aclocal-1.9,;t t
496 s,@AUTOCONF@,autoconf,;t t
497 s,@AUTOMAKE@,automake-1.9,;t t
498 s,@AUTOHEADER@,autoheader,;t t
499 s,@MAKEINFO@,makeinfo,;t t
500 s,@install_sh@,/home/vicente/tomato/release/src/router/bridge/install-sh,;t t
501 s,@STRIP@,mipsel-uclibc-strip -R .note -R .comment,;t t
502 s,@ac_ct_STRIP@,,;t t
503 s,@INSTALL_STRIP_PROGRAM@,${SHELL} $(install_sh) -c -s,;t t
504 s,@mkdir_p@,mkdir -p --,;t t
505 s,@AWK@,gawk,;t t
506 s,@SET_MAKE@,,;t t
507 s,@am__leading_dot@,.,;t t
508 s,@AMTAR@,tar,;t t
509 s,@am__tar@,${AMTAR} chof - "$$tardir",;t t
510 s,@am__untar@,${AMTAR} xf -,;t t
511 s,@CC@,mipsel-uclibc-gcc,;t t
512 s,@CFLAGS@,-Os -g -DLINUX26 -DCONFIG_BCMWL5 -pipe -DBCMWPA2 -funit-at-a-time -Wno-pointer-sign -mtune=mips32 -mips32 ,;t t
513 s,@LDFLAGS@,,;t t
514 s,@CPPFLAGS@,,;t t
515 s,@ac_ct_CC@,,;t t
516 s,@EXEEXT@,,;t t
517 s,@OBJEXT@,o,;t t
518 s,@DEPDIR@,.deps,;t t
519 s,@am__include@,include,;t t
520 s,@am__quote@,,;t t
521 s,@AMDEP_TRUE@,,;t t
522 s,@AMDEP_FALSE@,#,;t t
523 s,@AMDEPBACKSLASH@,\,;t t
524 s,@CCDEPMODE@,depmode=none,;t t
525 s,@am__fastdepCC_TRUE@,#,;t t
526 s,@am__fastdepCC_FALSE@,,;t t
527 s,@RANLIB@,mipsel-uclibc-ranlib,;t t
528 s,@ac_ct_RANLIB@,,;t t
529 s,@CPP@,mipsel-uclibc-gcc -E,;t t
530 s,@EGREP@,grep -E,;t t
531 s,@LIBOBJS@, memcmp$U.o,;t t
532 s,@KERNEL_HEADERS@,/home/vicente/tomato/release/src-rt/linux/linux-2.6/include,;t t
533 s,@LTLIBOBJS@, memcmp$U.lo,;t t
534 CEOF
536 # Split the substitutions into bite-sized pieces for seds with
537 # small command number limits, like on Digital OSF/1 and HP-UX.
538 ac_max_sed_lines=48
539 ac_sed_frag=1 # Number of current file.
540 ac_beg=1 # First line for current file.
541 ac_end=$ac_max_sed_lines # Line after last line for current file.
542 ac_more_lines=:
543 ac_sed_cmds=
544 while $ac_more_lines; do
545 if test $ac_beg -gt 1; then
546 sed "1,${ac_beg}d; ${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
547 else
548 sed "${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
550 if test ! -s $tmp/subs.frag; then
551 ac_more_lines=false
552 else
553 # The purpose of the label and of the branching condition is to
554 # speed up the sed processing (if there are no `@' at all, there
555 # is no need to browse any of the substitutions).
556 # These are the two extra sed commands mentioned above.
557 (echo ':t
558 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b' && cat $tmp/subs.frag) >$tmp/subs-$ac_sed_frag.sed
559 if test -z "$ac_sed_cmds"; then
560 ac_sed_cmds="sed -f $tmp/subs-$ac_sed_frag.sed"
561 else
562 ac_sed_cmds="$ac_sed_cmds | sed -f $tmp/subs-$ac_sed_frag.sed"
564 ac_sed_frag=`expr $ac_sed_frag + 1`
565 ac_beg=$ac_end
566 ac_end=`expr $ac_end + $ac_max_sed_lines`
568 done
569 if test -z "$ac_sed_cmds"; then
570 ac_sed_cmds=cat
572 fi # test -n "$CONFIG_FILES"
574 for ac_file in : $CONFIG_FILES; do test "x$ac_file" = x: && continue
575 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
576 case $ac_file in
577 - | *:- | *:-:* ) # input from stdin
578 cat >$tmp/stdin
579 ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
580 ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
581 *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
582 ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
583 * ) ac_file_in=$ac_file.in ;;
584 esac
586 # Compute @srcdir@, @top_srcdir@, and @INSTALL@ for subdirectories.
587 ac_dir=`(dirname "$ac_file") 2>/dev/null ||
588 $as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
589 X"$ac_file" : 'X\(//\)[^/]' \| \
590 X"$ac_file" : 'X\(//\)$' \| \
591 X"$ac_file" : 'X\(/\)' \| \
592 . : '\(.\)' 2>/dev/null ||
593 echo X"$ac_file" |
594 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
595 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
596 /^X\(\/\/\)$/{ s//\1/; q; }
597 /^X\(\/\).*/{ s//\1/; q; }
598 s/.*/./; q'`
599 { if $as_mkdir_p; then
600 mkdir -p "$ac_dir"
601 else
602 as_dir="$ac_dir"
603 as_dirs=
604 while test ! -d "$as_dir"; do
605 as_dirs="$as_dir $as_dirs"
606 as_dir=`(dirname "$as_dir") 2>/dev/null ||
607 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
608 X"$as_dir" : 'X\(//\)[^/]' \| \
609 X"$as_dir" : 'X\(//\)$' \| \
610 X"$as_dir" : 'X\(/\)' \| \
611 . : '\(.\)' 2>/dev/null ||
612 echo X"$as_dir" |
613 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
614 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
615 /^X\(\/\/\)$/{ s//\1/; q; }
616 /^X\(\/\).*/{ s//\1/; q; }
617 s/.*/./; q'`
618 done
619 test ! -n "$as_dirs" || mkdir $as_dirs
620 fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
621 echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
622 { (exit 1); exit 1; }; }; }
624 ac_builddir=.
626 if test "$ac_dir" != .; then
627 ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
628 # A "../" for each directory in $ac_dir_suffix.
629 ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
630 else
631 ac_dir_suffix= ac_top_builddir=
634 case $srcdir in
635 .) # No --srcdir option. We are building in place.
636 ac_srcdir=.
637 if test -z "$ac_top_builddir"; then
638 ac_top_srcdir=.
639 else
640 ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
641 fi ;;
642 [\\/]* | ?:[\\/]* ) # Absolute path.
643 ac_srcdir=$srcdir$ac_dir_suffix;
644 ac_top_srcdir=$srcdir ;;
645 *) # Relative path.
646 ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
647 ac_top_srcdir=$ac_top_builddir$srcdir ;;
648 esac
650 # Do not use `cd foo && pwd` to compute absolute paths, because
651 # the directories may not exist.
652 case `pwd` in
653 .) ac_abs_builddir="$ac_dir";;
655 case "$ac_dir" in
656 .) ac_abs_builddir=`pwd`;;
657 [\\/]* | ?:[\\/]* ) ac_abs_builddir="$ac_dir";;
658 *) ac_abs_builddir=`pwd`/"$ac_dir";;
659 esac;;
660 esac
661 case $ac_abs_builddir in
662 .) ac_abs_top_builddir=${ac_top_builddir}.;;
664 case ${ac_top_builddir}. in
665 .) ac_abs_top_builddir=$ac_abs_builddir;;
666 [\\/]* | ?:[\\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
667 *) ac_abs_top_builddir=$ac_abs_builddir/${ac_top_builddir}.;;
668 esac;;
669 esac
670 case $ac_abs_builddir in
671 .) ac_abs_srcdir=$ac_srcdir;;
673 case $ac_srcdir in
674 .) ac_abs_srcdir=$ac_abs_builddir;;
675 [\\/]* | ?:[\\/]* ) ac_abs_srcdir=$ac_srcdir;;
676 *) ac_abs_srcdir=$ac_abs_builddir/$ac_srcdir;;
677 esac;;
678 esac
679 case $ac_abs_builddir in
680 .) ac_abs_top_srcdir=$ac_top_srcdir;;
682 case $ac_top_srcdir in
683 .) ac_abs_top_srcdir=$ac_abs_builddir;;
684 [\\/]* | ?:[\\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
685 *) ac_abs_top_srcdir=$ac_abs_builddir/$ac_top_srcdir;;
686 esac;;
687 esac
690 case $INSTALL in
691 [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
692 *) ac_INSTALL=$ac_top_builddir$INSTALL ;;
693 esac
695 if test x"$ac_file" != x-; then
696 { echo "$as_me:$LINENO: creating $ac_file" >&5
697 echo "$as_me: creating $ac_file" >&6;}
698 rm -f "$ac_file"
700 # Let's still pretend it is `configure' which instantiates (i.e., don't
701 # use $as_me), people would be surprised to read:
702 # /* config.h. Generated by config.status. */
703 if test x"$ac_file" = x-; then
704 configure_input=
705 else
706 configure_input="$ac_file. "
708 configure_input=$configure_input"Generated from `echo $ac_file_in |
709 sed 's,.*/,,'` by configure."
711 # First look for the input files in the build tree, otherwise in the
712 # src tree.
713 ac_file_inputs=`IFS=:
714 for f in $ac_file_in; do
715 case $f in
716 -) echo $tmp/stdin ;;
717 [\\/$]*)
718 # Absolute (can't be DOS-style, as IFS=:)
719 test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
720 echo "$as_me: error: cannot find input file: $f" >&2;}
721 { (exit 1); exit 1; }; }
722 echo "$f";;
723 *) # Relative
724 if test -f "$f"; then
725 # Build tree
726 echo "$f"
727 elif test -f "$srcdir/$f"; then
728 # Source tree
729 echo "$srcdir/$f"
730 else
731 # /dev/null tree
732 { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
733 echo "$as_me: error: cannot find input file: $f" >&2;}
734 { (exit 1); exit 1; }; }
735 fi;;
736 esac
737 done` || { (exit 1); exit 1; }
738 sed "/^[ ]*VPATH[ ]*=/{
739 s/:*\$(srcdir):*/:/;
740 s/:*\${srcdir}:*/:/;
741 s/:*@srcdir@:*/:/;
742 s/^\([^=]*=[ ]*\):*/\1/;
743 s/:*$//;
744 s/^[^=]*=[ ]*$//;
748 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b
749 s,@configure_input@,$configure_input,;t t
750 s,@srcdir@,$ac_srcdir,;t t
751 s,@abs_srcdir@,$ac_abs_srcdir,;t t
752 s,@top_srcdir@,$ac_top_srcdir,;t t
753 s,@abs_top_srcdir@,$ac_abs_top_srcdir,;t t
754 s,@builddir@,$ac_builddir,;t t
755 s,@abs_builddir@,$ac_abs_builddir,;t t
756 s,@top_builddir@,$ac_top_builddir,;t t
757 s,@abs_top_builddir@,$ac_abs_top_builddir,;t t
758 s,@INSTALL@,$ac_INSTALL,;t t
759 " $ac_file_inputs | (eval "$ac_sed_cmds") >$tmp/out
760 rm -f $tmp/stdin
761 if test x"$ac_file" != x-; then
762 mv $tmp/out $ac_file
763 else
764 cat $tmp/out
765 rm -f $tmp/out
768 done
771 # CONFIG_HEADER section.
774 # These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
775 # NAME is the cpp macro being defined and VALUE is the value it is being given.
777 # ac_d sets the value in "#define NAME VALUE" lines.
778 ac_dA='s,^\([ ]*\)#\([ ]*define[ ][ ]*\)'
779 ac_dB='[ ].*$,\1#\2'
780 ac_dC=' '
781 ac_dD=',;t'
782 # ac_u turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
783 ac_uA='s,^\([ ]*\)#\([ ]*\)undef\([ ][ ]*\)'
784 ac_uB='$,\1#\2define\3'
785 ac_uC=' '
786 ac_uD=',;t'
788 for ac_file in : $CONFIG_HEADERS; do test "x$ac_file" = x: && continue
789 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
790 case $ac_file in
791 - | *:- | *:-:* ) # input from stdin
792 cat >$tmp/stdin
793 ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
794 ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
795 *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
796 ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
797 * ) ac_file_in=$ac_file.in ;;
798 esac
800 test x"$ac_file" != x- && { echo "$as_me:$LINENO: creating $ac_file" >&5
801 echo "$as_me: creating $ac_file" >&6;}
803 # First look for the input files in the build tree, otherwise in the
804 # src tree.
805 ac_file_inputs=`IFS=:
806 for f in $ac_file_in; do
807 case $f in
808 -) echo $tmp/stdin ;;
809 [\\/$]*)
810 # Absolute (can't be DOS-style, as IFS=:)
811 test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
812 echo "$as_me: error: cannot find input file: $f" >&2;}
813 { (exit 1); exit 1; }; }
814 # Do quote $f, to prevent DOS paths from being IFS'd.
815 echo "$f";;
816 *) # Relative
817 if test -f "$f"; then
818 # Build tree
819 echo "$f"
820 elif test -f "$srcdir/$f"; then
821 # Source tree
822 echo "$srcdir/$f"
823 else
824 # /dev/null tree
825 { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
826 echo "$as_me: error: cannot find input file: $f" >&2;}
827 { (exit 1); exit 1; }; }
828 fi;;
829 esac
830 done` || { (exit 1); exit 1; }
831 # Remove the trailing spaces.
832 sed 's/[ ]*$//' $ac_file_inputs >$tmp/in
834 # Handle all the #define templates only if necessary.
835 if grep "^[ ]*#[ ]*define" $tmp/in >/dev/null; then
836 # If there are no defines, we may have an empty if/fi
838 cat >$tmp/defines.sed <<CEOF
839 /^[ ]*#[ ]*define/!b
840 t clr
841 : clr
842 ${ac_dA}PACKAGE_NAME${ac_dB}PACKAGE_NAME${ac_dC}""${ac_dD}
843 ${ac_dA}PACKAGE_TARNAME${ac_dB}PACKAGE_TARNAME${ac_dC}""${ac_dD}
844 ${ac_dA}PACKAGE_VERSION${ac_dB}PACKAGE_VERSION${ac_dC}""${ac_dD}
845 ${ac_dA}PACKAGE_STRING${ac_dB}PACKAGE_STRING${ac_dC}""${ac_dD}
846 ${ac_dA}PACKAGE_BUGREPORT${ac_dB}PACKAGE_BUGREPORT${ac_dC}""${ac_dD}
847 ${ac_dA}PACKAGE${ac_dB}PACKAGE${ac_dC}"bridge-utils"${ac_dD}
848 ${ac_dA}VERSION${ac_dB}VERSION${ac_dC}"1.0.6"${ac_dD}
849 ${ac_dA}STDC_HEADERS${ac_dB}STDC_HEADERS${ac_dC}1${ac_dD}
850 ${ac_dA}HAVE_SYS_TYPES_H${ac_dB}HAVE_SYS_TYPES_H${ac_dC}1${ac_dD}
851 ${ac_dA}HAVE_SYS_STAT_H${ac_dB}HAVE_SYS_STAT_H${ac_dC}1${ac_dD}
852 ${ac_dA}HAVE_STDLIB_H${ac_dB}HAVE_STDLIB_H${ac_dC}1${ac_dD}
853 ${ac_dA}HAVE_STRING_H${ac_dB}HAVE_STRING_H${ac_dC}1${ac_dD}
854 ${ac_dA}HAVE_MEMORY_H${ac_dB}HAVE_MEMORY_H${ac_dC}1${ac_dD}
855 ${ac_dA}HAVE_STRINGS_H${ac_dB}HAVE_STRINGS_H${ac_dC}1${ac_dD}
856 ${ac_dA}HAVE_INTTYPES_H${ac_dB}HAVE_INTTYPES_H${ac_dC}1${ac_dD}
857 ${ac_dA}HAVE_STDINT_H${ac_dB}HAVE_STDINT_H${ac_dC}1${ac_dD}
858 ${ac_dA}HAVE_UNISTD_H${ac_dB}HAVE_UNISTD_H${ac_dC}1${ac_dD}
859 ${ac_dA}HAVE_SYS_IOCTL_H${ac_dB}HAVE_SYS_IOCTL_H${ac_dC}1${ac_dD}
860 ${ac_dA}HAVE_SYS_TIME_H${ac_dB}HAVE_SYS_TIME_H${ac_dC}1${ac_dD}
861 ${ac_dA}TIME_WITH_SYS_TIME${ac_dB}TIME_WITH_SYS_TIME${ac_dC}1${ac_dD}
862 ${ac_dA}HAVE_GETHOSTNAME${ac_dB}HAVE_GETHOSTNAME${ac_dC}1${ac_dD}
863 ${ac_dA}HAVE_SOCKET${ac_dB}HAVE_SOCKET${ac_dC}1${ac_dD}
864 ${ac_dA}HAVE_STRDUP${ac_dB}HAVE_STRDUP${ac_dC}1${ac_dD}
865 ${ac_dA}HAVE_UNAME${ac_dB}HAVE_UNAME${ac_dC}1${ac_dD}
866 ${ac_dA}HAVE_IF_NAMETOINDEX${ac_dB}HAVE_IF_NAMETOINDEX${ac_dC}1${ac_dD}
867 ${ac_dA}HAVE_IF_INDEXTONAME${ac_dB}HAVE_IF_INDEXTONAME${ac_dC}1${ac_dD}
868 CEOF
869 sed -f $tmp/defines.sed $tmp/in >$tmp/out
870 rm -f $tmp/in
871 mv $tmp/out $tmp/in
873 fi # grep
875 # Handle all the #undef templates
876 cat >$tmp/undefs.sed <<CEOF
877 /^[ ]*#[ ]*undef/!b
878 t clr
879 : clr
880 ${ac_uA}PACKAGE_NAME${ac_uB}PACKAGE_NAME${ac_uC}""${ac_uD}
881 ${ac_uA}PACKAGE_TARNAME${ac_uB}PACKAGE_TARNAME${ac_uC}""${ac_uD}
882 ${ac_uA}PACKAGE_VERSION${ac_uB}PACKAGE_VERSION${ac_uC}""${ac_uD}
883 ${ac_uA}PACKAGE_STRING${ac_uB}PACKAGE_STRING${ac_uC}""${ac_uD}
884 ${ac_uA}PACKAGE_BUGREPORT${ac_uB}PACKAGE_BUGREPORT${ac_uC}""${ac_uD}
885 ${ac_uA}PACKAGE${ac_uB}PACKAGE${ac_uC}"bridge-utils"${ac_uD}
886 ${ac_uA}VERSION${ac_uB}VERSION${ac_uC}"1.0.6"${ac_uD}
887 ${ac_uA}STDC_HEADERS${ac_uB}STDC_HEADERS${ac_uC}1${ac_uD}
888 ${ac_uA}HAVE_SYS_TYPES_H${ac_uB}HAVE_SYS_TYPES_H${ac_uC}1${ac_uD}
889 ${ac_uA}HAVE_SYS_STAT_H${ac_uB}HAVE_SYS_STAT_H${ac_uC}1${ac_uD}
890 ${ac_uA}HAVE_STDLIB_H${ac_uB}HAVE_STDLIB_H${ac_uC}1${ac_uD}
891 ${ac_uA}HAVE_STRING_H${ac_uB}HAVE_STRING_H${ac_uC}1${ac_uD}
892 ${ac_uA}HAVE_MEMORY_H${ac_uB}HAVE_MEMORY_H${ac_uC}1${ac_uD}
893 ${ac_uA}HAVE_STRINGS_H${ac_uB}HAVE_STRINGS_H${ac_uC}1${ac_uD}
894 ${ac_uA}HAVE_INTTYPES_H${ac_uB}HAVE_INTTYPES_H${ac_uC}1${ac_uD}
895 ${ac_uA}HAVE_STDINT_H${ac_uB}HAVE_STDINT_H${ac_uC}1${ac_uD}
896 ${ac_uA}HAVE_UNISTD_H${ac_uB}HAVE_UNISTD_H${ac_uC}1${ac_uD}
897 ${ac_uA}HAVE_SYS_IOCTL_H${ac_uB}HAVE_SYS_IOCTL_H${ac_uC}1${ac_uD}
898 ${ac_uA}HAVE_SYS_TIME_H${ac_uB}HAVE_SYS_TIME_H${ac_uC}1${ac_uD}
899 ${ac_uA}TIME_WITH_SYS_TIME${ac_uB}TIME_WITH_SYS_TIME${ac_uC}1${ac_uD}
900 ${ac_uA}HAVE_GETHOSTNAME${ac_uB}HAVE_GETHOSTNAME${ac_uC}1${ac_uD}
901 ${ac_uA}HAVE_SOCKET${ac_uB}HAVE_SOCKET${ac_uC}1${ac_uD}
902 ${ac_uA}HAVE_STRDUP${ac_uB}HAVE_STRDUP${ac_uC}1${ac_uD}
903 ${ac_uA}HAVE_UNAME${ac_uB}HAVE_UNAME${ac_uC}1${ac_uD}
904 ${ac_uA}HAVE_IF_NAMETOINDEX${ac_uB}HAVE_IF_NAMETOINDEX${ac_uC}1${ac_uD}
905 ${ac_uA}HAVE_IF_INDEXTONAME${ac_uB}HAVE_IF_INDEXTONAME${ac_uC}1${ac_uD}
906 s,^[ ]*#[ ]*undef[ ][ ]*[a-zA-Z_][a-zA-Z_0-9]*,/* & */,
907 CEOF
908 sed -f $tmp/undefs.sed $tmp/in >$tmp/out
909 rm -f $tmp/in
910 mv $tmp/out $tmp/in
912 # Let's still pretend it is `configure' which instantiates (i.e., don't
913 # use $as_me), people would be surprised to read:
914 # /* config.h. Generated by config.status. */
915 if test x"$ac_file" = x-; then
916 echo "/* Generated by configure. */" >$tmp/config.h
917 else
918 echo "/* $ac_file. Generated by configure. */" >$tmp/config.h
920 cat $tmp/in >>$tmp/config.h
921 rm -f $tmp/in
922 if test x"$ac_file" != x-; then
923 if diff $ac_file $tmp/config.h >/dev/null 2>&1; then
924 { echo "$as_me:$LINENO: $ac_file is unchanged" >&5
925 echo "$as_me: $ac_file is unchanged" >&6;}
926 else
927 ac_dir=`(dirname "$ac_file") 2>/dev/null ||
928 $as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
929 X"$ac_file" : 'X\(//\)[^/]' \| \
930 X"$ac_file" : 'X\(//\)$' \| \
931 X"$ac_file" : 'X\(/\)' \| \
932 . : '\(.\)' 2>/dev/null ||
933 echo X"$ac_file" |
934 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
935 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
936 /^X\(\/\/\)$/{ s//\1/; q; }
937 /^X\(\/\).*/{ s//\1/; q; }
938 s/.*/./; q'`
939 { if $as_mkdir_p; then
940 mkdir -p "$ac_dir"
941 else
942 as_dir="$ac_dir"
943 as_dirs=
944 while test ! -d "$as_dir"; do
945 as_dirs="$as_dir $as_dirs"
946 as_dir=`(dirname "$as_dir") 2>/dev/null ||
947 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
948 X"$as_dir" : 'X\(//\)[^/]' \| \
949 X"$as_dir" : 'X\(//\)$' \| \
950 X"$as_dir" : 'X\(/\)' \| \
951 . : '\(.\)' 2>/dev/null ||
952 echo X"$as_dir" |
953 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
954 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
955 /^X\(\/\/\)$/{ s//\1/; q; }
956 /^X\(\/\).*/{ s//\1/; q; }
957 s/.*/./; q'`
958 done
959 test ! -n "$as_dirs" || mkdir $as_dirs
960 fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
961 echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
962 { (exit 1); exit 1; }; }; }
964 rm -f $ac_file
965 mv $tmp/config.h $ac_file
967 else
968 cat $tmp/config.h
969 rm -f $tmp/config.h
971 # Compute $ac_file's index in $config_headers.
972 _am_stamp_count=1
973 for _am_header in $config_headers :; do
974 case $_am_header in
975 $ac_file | $ac_file:* )
976 break ;;
978 _am_stamp_count=`expr $_am_stamp_count + 1` ;;
979 esac
980 done
981 echo "timestamp for $ac_file" >`(dirname $ac_file) 2>/dev/null ||
982 $as_expr X$ac_file : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
983 X$ac_file : 'X\(//\)[^/]' \| \
984 X$ac_file : 'X\(//\)$' \| \
985 X$ac_file : 'X\(/\)' \| \
986 . : '\(.\)' 2>/dev/null ||
987 echo X$ac_file |
988 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
989 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
990 /^X\(\/\/\)$/{ s//\1/; q; }
991 /^X\(\/\).*/{ s//\1/; q; }
992 s/.*/./; q'`/stamp-h$_am_stamp_count
993 done
996 # CONFIG_COMMANDS section.
998 for ac_file in : $CONFIG_COMMANDS; do test "x$ac_file" = x: && continue
999 ac_dest=`echo "$ac_file" | sed 's,:.*,,'`
1000 ac_source=`echo "$ac_file" | sed 's,[^:]*:,,'`
1001 ac_dir=`(dirname "$ac_dest") 2>/dev/null ||
1002 $as_expr X"$ac_dest" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1003 X"$ac_dest" : 'X\(//\)[^/]' \| \
1004 X"$ac_dest" : 'X\(//\)$' \| \
1005 X"$ac_dest" : 'X\(/\)' \| \
1006 . : '\(.\)' 2>/dev/null ||
1007 echo X"$ac_dest" |
1008 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1009 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1010 /^X\(\/\/\)$/{ s//\1/; q; }
1011 /^X\(\/\).*/{ s//\1/; q; }
1012 s/.*/./; q'`
1013 { if $as_mkdir_p; then
1014 mkdir -p "$ac_dir"
1015 else
1016 as_dir="$ac_dir"
1017 as_dirs=
1018 while test ! -d "$as_dir"; do
1019 as_dirs="$as_dir $as_dirs"
1020 as_dir=`(dirname "$as_dir") 2>/dev/null ||
1021 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1022 X"$as_dir" : 'X\(//\)[^/]' \| \
1023 X"$as_dir" : 'X\(//\)$' \| \
1024 X"$as_dir" : 'X\(/\)' \| \
1025 . : '\(.\)' 2>/dev/null ||
1026 echo X"$as_dir" |
1027 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1028 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1029 /^X\(\/\/\)$/{ s//\1/; q; }
1030 /^X\(\/\).*/{ s//\1/; q; }
1031 s/.*/./; q'`
1032 done
1033 test ! -n "$as_dirs" || mkdir $as_dirs
1034 fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
1035 echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
1036 { (exit 1); exit 1; }; }; }
1038 ac_builddir=.
1040 if test "$ac_dir" != .; then
1041 ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
1042 # A "../" for each directory in $ac_dir_suffix.
1043 ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
1044 else
1045 ac_dir_suffix= ac_top_builddir=
1048 case $srcdir in
1049 .) # No --srcdir option. We are building in place.
1050 ac_srcdir=.
1051 if test -z "$ac_top_builddir"; then
1052 ac_top_srcdir=.
1053 else
1054 ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
1055 fi ;;
1056 [\\/]* | ?:[\\/]* ) # Absolute path.
1057 ac_srcdir=$srcdir$ac_dir_suffix;
1058 ac_top_srcdir=$srcdir ;;
1059 *) # Relative path.
1060 ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
1061 ac_top_srcdir=$ac_top_builddir$srcdir ;;
1062 esac
1064 # Do not use `cd foo && pwd` to compute absolute paths, because
1065 # the directories may not exist.
1066 case `pwd` in
1067 .) ac_abs_builddir="$ac_dir";;
1069 case "$ac_dir" in
1070 .) ac_abs_builddir=`pwd`;;
1071 [\\/]* | ?:[\\/]* ) ac_abs_builddir="$ac_dir";;
1072 *) ac_abs_builddir=`pwd`/"$ac_dir";;
1073 esac;;
1074 esac
1075 case $ac_abs_builddir in
1076 .) ac_abs_top_builddir=${ac_top_builddir}.;;
1078 case ${ac_top_builddir}. in
1079 .) ac_abs_top_builddir=$ac_abs_builddir;;
1080 [\\/]* | ?:[\\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
1081 *) ac_abs_top_builddir=$ac_abs_builddir/${ac_top_builddir}.;;
1082 esac;;
1083 esac
1084 case $ac_abs_builddir in
1085 .) ac_abs_srcdir=$ac_srcdir;;
1087 case $ac_srcdir in
1088 .) ac_abs_srcdir=$ac_abs_builddir;;
1089 [\\/]* | ?:[\\/]* ) ac_abs_srcdir=$ac_srcdir;;
1090 *) ac_abs_srcdir=$ac_abs_builddir/$ac_srcdir;;
1091 esac;;
1092 esac
1093 case $ac_abs_builddir in
1094 .) ac_abs_top_srcdir=$ac_top_srcdir;;
1096 case $ac_top_srcdir in
1097 .) ac_abs_top_srcdir=$ac_abs_builddir;;
1098 [\\/]* | ?:[\\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
1099 *) ac_abs_top_srcdir=$ac_abs_builddir/$ac_top_srcdir;;
1100 esac;;
1101 esac
1104 { echo "$as_me:$LINENO: executing $ac_dest commands" >&5
1105 echo "$as_me: executing $ac_dest commands" >&6;}
1106 case $ac_dest in
1107 depfiles ) test x"$AMDEP_TRUE" != x"" || for mf in $CONFIG_FILES; do
1108 # Strip MF so we end up with the name of the file.
1109 mf=`echo "$mf" | sed -e 's/:.*$//'`
1110 # Check whether this is an Automake generated Makefile or not.
1111 # We used to match only the files named `Makefile.in', but
1112 # some people rename them; so instead we look at the file content.
1113 # Grep'ing the first line is not enough: some people post-process
1114 # each Makefile.in and add a new line on top of each file to say so.
1115 # So let's grep whole file.
1116 if grep '^#.*generated by automake' $mf > /dev/null 2>&1; then
1117 dirpart=`(dirname "$mf") 2>/dev/null ||
1118 $as_expr X"$mf" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1119 X"$mf" : 'X\(//\)[^/]' \| \
1120 X"$mf" : 'X\(//\)$' \| \
1121 X"$mf" : 'X\(/\)' \| \
1122 . : '\(.\)' 2>/dev/null ||
1123 echo X"$mf" |
1124 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1125 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1126 /^X\(\/\/\)$/{ s//\1/; q; }
1127 /^X\(\/\).*/{ s//\1/; q; }
1128 s/.*/./; q'`
1129 else
1130 continue
1132 # Extract the definition of DEPDIR, am__include, and am__quote
1133 # from the Makefile without running `make'.
1134 DEPDIR=`sed -n 's/^DEPDIR = //p' < "$mf"`
1135 test -z "$DEPDIR" && continue
1136 am__include=`sed -n 's/^am__include = //p' < "$mf"`
1137 test -z "am__include" && continue
1138 am__quote=`sed -n 's/^am__quote = //p' < "$mf"`
1139 # When using ansi2knr, U may be empty or an underscore; expand it
1140 U=`sed -n 's/^U = //p' < "$mf"`
1141 # Find all dependency output files, they are included files with
1142 # $(DEPDIR) in their names. We invoke sed twice because it is the
1143 # simplest approach to changing $(DEPDIR) to its actual value in the
1144 # expansion.
1145 for file in `sed -n "
1146 s/^$am__include $am__quote\(.*(DEPDIR).*\)$am__quote"'$/\1/p' <"$mf" | \
1147 sed -e 's/\$(DEPDIR)/'"$DEPDIR"'/g' -e 's/\$U/'"$U"'/g'`; do
1148 # Make sure the directory exists.
1149 test -f "$dirpart/$file" && continue
1150 fdir=`(dirname "$file") 2>/dev/null ||
1151 $as_expr X"$file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1152 X"$file" : 'X\(//\)[^/]' \| \
1153 X"$file" : 'X\(//\)$' \| \
1154 X"$file" : 'X\(/\)' \| \
1155 . : '\(.\)' 2>/dev/null ||
1156 echo X"$file" |
1157 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1158 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1159 /^X\(\/\/\)$/{ s//\1/; q; }
1160 /^X\(\/\).*/{ s//\1/; q; }
1161 s/.*/./; q'`
1162 { if $as_mkdir_p; then
1163 mkdir -p $dirpart/$fdir
1164 else
1165 as_dir=$dirpart/$fdir
1166 as_dirs=
1167 while test ! -d "$as_dir"; do
1168 as_dirs="$as_dir $as_dirs"
1169 as_dir=`(dirname "$as_dir") 2>/dev/null ||
1170 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1171 X"$as_dir" : 'X\(//\)[^/]' \| \
1172 X"$as_dir" : 'X\(//\)$' \| \
1173 X"$as_dir" : 'X\(/\)' \| \
1174 . : '\(.\)' 2>/dev/null ||
1175 echo X"$as_dir" |
1176 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1177 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1178 /^X\(\/\/\)$/{ s//\1/; q; }
1179 /^X\(\/\).*/{ s//\1/; q; }
1180 s/.*/./; q'`
1181 done
1182 test ! -n "$as_dirs" || mkdir $as_dirs
1183 fi || { { echo "$as_me:$LINENO: error: cannot create directory $dirpart/$fdir" >&5
1184 echo "$as_me: error: cannot create directory $dirpart/$fdir" >&2;}
1185 { (exit 1); exit 1; }; }; }
1187 # echo "creating $dirpart/$file"
1188 echo '# dummy' > "$dirpart/$file"
1189 done
1190 done
1192 esac
1193 done
1195 { (exit 0); exit 0; }